Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class Priority

    java.lang.Object
      hr.tis.mgw.client.message.Priority

All Implemented Interfaces:
  java.io.Serializable

public class Priority
extends java.lang.Object
implements java.io.Serializable

Message priority enumerator class.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_Default`
`static java.lang.String` | `_High`
`static java.lang.String` | `_Low`
`static java.lang.String` | `_Normal`
`static Priority` | `DEFAULT`
`static Priority` | `HIGH`
`static Priority` | `LOW`
`static Priority` | `NORMAL`

Method Summary
`static Priority` | `fromString(java.lang.String str)`
`static Priority` | `fromValue(java.lang.String value)`
`java.lang.String` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _Default

    public static final java.lang.String _Default

See Also:
  Constant Field Values

### _Low

    public static final java.lang.String _Low

See Also:
  Constant Field Values

### _Normal

    public static final java.lang.String _Normal

See Also:
  Constant Field Values

### _High

    public static final java.lang.String _High

See Also:
  Constant Field Values

### DEFAULT

    public static final Priority DEFAULT

### LOW

    public static final Priority LOW

### NORMAL

    public static final Priority NORMAL

### HIGH

    public static final Priority HIGH

Method Detail

### fromValue

    public static final Priority fromValue(java.lang.String value)

### fromString

    public static final Priority fromString(java.lang.String str)

### getValue

    public java.lang.String getValue()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.